Bug 693771 - Preinstall check needed if zonemgr has special char
Summary: Preinstall check needed if zonemgr has special char
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa
Version: 6.1
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: rc
: ---
Assignee: Rob Crittenden
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 14:45 UTC by Namita Soman
Modified: 2015-01-04 23:47 UTC (History)
4 users (show)

Fixed In Version: ipa-2.1.0-1.el6
Doc Type: Bug Fix
Doc Text:
Cause: Including non-ASCII characters in the zonemgr e-mail address can cause the installation to fail. Consequence: The server installation fails with an unclear error message. Fix: Add a validator to require that the zonemgr contain only ASCII characters. Result: Using international characters in the zonemgr e-mail address are denied.
Clone Of:
Environment:
Last Closed: 2011-12-06 18:21:30 UTC
Target Upstream Version:


Attachments (Terms of Use)
part of the ipaserver-install.log (5.19 KB, application/octet-stream)
2011-04-05 14:45 UTC, Namita Soman
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1533 normal SHIPPED_LIVE Moderate: ipa security and bug fix update 2011-12-06 01:23:31 UTC

Description Namita Soman 2011-04-05 14:45:32 UTC
Created attachment 489994 [details]
part of the ipaserver-install.log

Description of problem:
Installing ipa server using zonemgr option which includes special chars fails to install the server. A preinstall check would avoid the install to begin in this scenario.

Installed using -
ipa-server-install --setup-dns --no-forwarders --zonemgr=Têko@redhat.com

This failed with error - 
Configuring named:
  [1/9]: adding DNS container
  [2/9]: setting up our zone
Unexpected error - see ipaserver-install.log for details:
 idnsSOArName: value #0 invalid per syntax: Invalid syntax.


I was able to successfully uninstall after the above.

Version-Release number of selected component (if applicable):
ipa-server-2.0.0-19.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.Install using cmd: 
ipa-server-install --setup-dns --no-forwarders --zonemgr=Têko@redhat.com

  
Actual results:
Install started, and went through setting up DS, CS etc, and then failed with error
idnsSOArName: value #0 invalid per syntax: Invalid syntax.



Expected results:
If i have an invalid value for zonemgr, do not start the install.


Additional info:

Comment 2 RHEL Program Management 2011-04-05 15:03:54 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 3 Dmitri Pal 2011-04-06 17:24:40 UTC
https://fedorahosted.org/freeipa/ticket/1164

Comment 4 RHEL Program Management 2011-04-06 17:43:17 UTC
Since RHEL 6.1 External Beta has begun, and this bug remains
unresolved, it has been rejected as it is not proposed as
exception or blocker.

Red Hat invites you to ask your support representative to
propose this request, if appropriate and relevant, in the
next release of Red Hat Enterprise Linux.

Comment 5 Martin Kosek 2011-04-26 11:18:58 UTC
Upstream commits:
master: 6f7984a532057fa173b6a645e5eaf525066edd1a
ipa-2-0: e8976792257bcbaf1ae1d853f271737a75a9576d

Comment 7 Rob Crittenden 2011-10-31 17:33:13 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Including non-ASCII characters in the zonemgr e-mail address can cause the installation to fail.
Consequence: The server installation fails with an unclear error message.
Fix: Add a validator to require that the zonemgr contain only ASCII characters.
Result: Using international characters in the zonemgr e-mail address are denied.

Comment 8 Namita Soman 2011-11-04 17:29:48 UTC
Verified using ipa-server-2.1.3-8.el6.x86_64

Validation is performed, and installation fails 
# ipa-server-install --setup-dns --no-forwarders --zonemgr=Têko@redhat.com
Unexpected error - see ipaserver-install.log for details:
 invalid 'zonemgr': The character 'u'\xc3'' is not allowed.

Comment 9 errata-xmlrpc 2011-12-06 18:21:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1533.html


Note You need to log in before you can comment on or make changes to this bug.